# Uses of Interface
org.eclipse.team.ui.mapping.ITeamStateChangeEvent

Packages that use ITeamStateChangeEvent
Package
Description
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of ITeamStateChangeEvent in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping with parameters of type ITeamStateChangeEvent
Modifier and Type
Method
Description
`void`
ITeamStateChangeListener.`teamStateChanged(ITeamStateChangeEvent event)`
Notification that the team state of resources has changed.

## Uses of ITeamStateChangeEvent in org.eclipse.team.ui.synchronize

Classes in org.eclipse.team.ui.synchronize that implement ITeamStateChangeEvent
Modifier and Type
Class
Description
`class`
`TeamStateChangeEvent`
An implementation of `ITeamStateChangeEvent`.
Methods in org.eclipse.team.ui.synchronize with parameters of type ITeamStateChangeEvent
Modifier and Type
Method
Description
`protected final void`
TeamStateProvider.`fireStateChangeEvent(ITeamStateChangeEvent event)`
Fire the change event to all listeners.